#ifndef _SORT_H
#define _SORT_H

#include <stdbool.h>

unsigned int selection_sort(int a[], unsigned int length);
/*
    Sort the array 'a' using the Selection sort algorithm. The resulting sort
    will be ascending.

    The array 'a' must have exactly 'length' elements.

*/

unsigned int insertion_sort(int a[], unsigned int length);
/*
    Sort the array 'a' using the Insertion sort algorithm. The resulting sort
    will be ascending.

    The array 'a' must have exactly 'length' elements.
*/

unsigned int quick_sort(int a[], unsigned int length);
/*
    Sort the array 'a' using the Quick sort algorithm. The resulting sort
    will be ascending.

    The array 'a' must have exactly 'length' elements.
*/

unsigned int rand_quick_sort(int a[], unsigned int length);
/*
    Sort the array 'a' using the Quick sort algorithm. The resulting sort
    will be ascending.

    The array 'a' must have exactly 'length' elements.
*/


#endif
